PHP Deprecated: Directive 'allow_url_include' is deprecated in Unknown on line 0

Operating System & Version
Centos 7x
cPanel & WHM Version
latest

WorkinOnIt

Well-Known Member
Aug 3, 2016
195
28
28
UK
cPanel Access Level
Root Administrator
Hello - as the subject suggests - my query relates to an multiple error messages after upgrading to php 7.4.


[19-Jul-2020 01:06:11 UTC] PHP Deprecated: Directive 'allow_url_include' is deprecated in Unknown on line 0

Can you offer some suggestion as to how to resolve this ?
 

andrew.n

Well-Known Member
Jun 9, 2020
328
71
28
EU
cPanel Access Level
Root Administrator
As it shows the function your script is using (allow_url_include) has been removed from PHP 7.4 so you have to either

- downgrade PHP version
or
- upgrade the script showing this error
or
- get a developer to re-write the script
 

WorkinOnIt

Well-Known Member
Aug 3, 2016
195
28
28
UK
cPanel Access Level
Root Administrator
It appears the error is coming from custom .ini files - in each case, users will need to remove that directive ?

Or is there a server wide setting that can disable that ini directive?

For example, should the setting in "Home »Software »MultiPHP Manager" >> "allow_url_include " be set to disabled?
 
Last edited: